## GocPolygon

GocPolygon — Polygon.

## Properties

gboolean | fill-rule | Read / Write
GocPoints * | points | Read / Write
GocIntArray * | sizes | Read / Write
gboolean | use-spline | Read / Write

## Types and Values

| GocPolygon
typedef | GocPolygonClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocPolygon

## Implemented Interfaces

GocPolygon implements GOStyledObject.

## Description

GocPolygon implements polygon drawing in the canvas.

## Functions

## Types and Values

### GocPolygon

    typedef struct _GocPolygon GocPolygon;

### GocPolygonClass

    typedef GocStyledItemClass GocPolygonClass;

## Property Details

### The `“fill-rule”` property

      “fill-rule”                gboolean

Set fill rule to winding or even/odd.

Owner: GocPolygon

Flags: Read / Write

Default value: FALSE

### The `“points”` property

      “points”                   GocPoints *

The polygon vertices.

Owner: GocPolygon

Flags: Read / Write

### The `“sizes”` property

      “sizes”                    GocIntArray *

If set, the polygon will be split as several polygons according to the given sizes. Each size must be at least 3. Values following an invalid value will be discarded. Setting the "point" property will reset the sizes.

Owner: GocPolygon

Flags: Read / Write

### The `“use-spline”` property

      “use-spline”               gboolean

Use a Bezier closed cubic spline as contour.

Owner: GocPolygon

Flags: Read / Write

Default value: FALSE